"use strict";

const assert = require("assert");
const log2 = require("@extra-bigint/log2");

module.exports = function countBits(number) {
	assert(number >= 0n);

	return (number === 0n)
		? 1 // Special case, log2 would return null here
		: Number(log2(number)) + 1;
};
