"use strict";

const countBytes = require("./count-bytes");
const generateMask = require("./generate-mask");

module.exports = function bitwiseInvert(number) {
	let bytes = countBytes(number);
	let mask = generateMask(bytes * 8);

	return number ^ mask;
};
